Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.mediaplayer.Constants.MediaPlayerEvent Enum Reference

Media player events. More...

## Static Public Member Functions
static int | getValue (MediaPlayerEvent type)
static MediaPlayerEvent | fromNativeIndex (int nativeIndex)
static MediaPlayerEvent | getEventByValue (int value)

## Public Attributes
| PLAYER_EVENT_UNKNOWN =(-1)
| PLAYER_EVENT_SEEK_BEGIN =(0)
| PLAYER_EVENT_SEEK_COMPLETE =(1)
| PLAYER_EVENT_SEEK_ERROR =(2)
| PLAYER_EVENT_AUDIO_TRACK_CHANGED =(5)
| PLAYER_EVENT_BUFFER_LOW =(6)
| PLAYER_EVENT_BUFFER_RECOVER =(7)
| PLAYER_EVENT_FREEZE_START =(8)
| PLAYER_EVENT_FREEZE_STOP =(9)
| PLAYER_EVENT_SWITCH_BEGIN =(10)
| PLAYER_EVENT_SWITCH_COMPLETE =(11)
| PLAYER_EVENT_SWITCH_ERROR =(12)
| PLAYER_EVENT_FIRST_DISPLAYED =(13)
| PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT =(14)
| PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE =(15)
| PLAYER_EVENT_TRY_OPEN_START =(16)
| PLAYER_EVENT_TRY_OPEN_SUCCEED =(17)
| PLAYER_EVENT_TRY_OPEN_FAILED =(18)
| PLAYER_EVENT_HTTP_REDIRECT =(19)

## Detailed Description

Media player events.

## Member Data Documentation

## ◆ PLAYER_EVENT_UNKNOWN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_UNKNOWN =(-1)

-1: An unknown event.

## ◆ PLAYER_EVENT_SEEK_BEGIN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_BEGIN =(0)

0: The player begins to seek to a new playback position.

## ◆ PLAYER_EVENT_SEEK_COMPLETE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_COMPLETE =(1)

1: The player finishes seeking to a new playback position.

## ◆ PLAYER_EVENT_SEEK_ERROR

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SEEK_ERROR =(2)

2: An error occurs when seeking to a new playback position.

## ◆ PLAYER_EVENT_AUDIO_TRACK_CHANGED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_AUDIO_TRACK_CHANGED =(5)

5: The audio track used by the player has been changed.

## ◆ PLAYER_EVENT_BUFFER_LOW

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_BUFFER_LOW =(6)

6: The currently buffered data is not enough to support playback.

## ◆ PLAYER_EVENT_BUFFER_RECOVER

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_BUFFER_RECOVER =(7)

7: The currently buffered data is just enough to support playback.

## ◆ PLAYER_EVENT_FREEZE_START

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FREEZE_START =(8)

8: The audio or video playback freezes.

## ◆ PLAYER_EVENT_FREEZE_STOP

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FREEZE_STOP =(9)

9: The audio or video playback resumes without freezing.

## ◆ PLAYER_EVENT_SWITCH_BEGIN

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_BEGIN =(10)

10: The player starts switching the media resource.

## ◆ PLAYER_EVENT_SWITCH_COMPLETE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_COMPLETE =(11)

11: Media resource switching is complete.

## ◆ PLAYER_EVENT_SWITCH_ERROR

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_SWITCH_ERROR =(12)

12: Media resource switching error.

## ◆ PLAYER_EVENT_FIRST_DISPLAYED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_FIRST_DISPLAYED =(13)

13: The first video frame is rendered.

## ◆ PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_REACH_CACHE_FILE_MAX_COUNT =(14)

14: The cached media files reach the limit in number.

## ◆ PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_REACH_CACHE_FILE_MAX_SIZE =(15)

15: The cached media files reach the limit in aggregate storage space.

## ◆ PLAYER_EVENT_TRY_OPEN_START

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_START =(16)

Triggered when a retry is required to open the media

## ◆ PLAYER_EVENT_TRY_OPEN_SUCCEED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_SUCCEED =(17)

Triggered when the retry to open the media is successful

## ◆ PLAYER_EVENT_TRY_OPEN_FAILED

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_TRY_OPEN_FAILED =(18)

Triggered when retrying to open media fails

## ◆ PLAYER_EVENT_HTTP_REDIRECT

io.agora.mediaplayer.Constants.MediaPlayerEvent.PLAYER_EVENT_HTTP_REDIRECT =(19)

Triggered when an http redirect occurs @technical preview